ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

CmmProcPoint

# Documentation

type ProcPointSet = BlockSet Source #

data Status Source #

Constructors

ReachedBy ProcPointSet |
ProcPoint |

Instances

Outputable Status # |
Methods ppr :: Status -> SDoc Source # pprPrec :: Rational -> Status -> SDoc Source #

callProcPoints :: CmmGraph -> ProcPointSet Source #

minimalProcPointSet :: Platform -> ProcPointSet -> CmmGraph -> UniqSM ProcPointSet Source #

splitAtProcPoints :: DynFlags -> CLabel -> ProcPointSet -> ProcPointSet -> BlockEnv Status -> CmmDecl -> UniqSM [CmmDecl] Source #

procPointAnalysis :: ProcPointSet -> CmmGraph -> UniqSM (BlockEnv Status) Source #

attachContInfoTables :: ProcPointSet -> CmmDecl -> CmmDecl Source #